gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.General.Enums

Description

General enumeration types.

Synopsis

- data AccelFlags
  - = AccelVisible
  - | AccelLocked
  - | AccelMask
- data ArrowType
  - = ArrowUp
  - | ArrowDown
  - | ArrowLeft
  - | ArrowRight
  - | ArrowNone
- data AttachOptions
  - = Expand
  - | Shrink
  - | Fill
- data MouseButton
  - = LeftButton
  - | MiddleButton
  - | RightButton
  - | OtherButton Int
- data ButtonBoxStyle
  - = ButtonboxDefaultStyle
  - | ButtonboxSpread
  - | ButtonboxEdge
  - | ButtonboxStart
  - | ButtonboxEnd
  - | ButtonboxCenter
- data CalendarDisplayOptions
  - = CalendarShowHeading
  - | CalendarShowDayNames
  - | CalendarNoMonthChange
  - | CalendarShowWeekNumbers
  - | CalendarWeekStartMonday
  - | CalendarShowDetails
- data Click
  - = SingleClick
  - | DoubleClick
  - | TripleClick
  - | ReleaseClick
- data CornerType
  - = CornerTopLeft
  - | CornerBottomLeft
  - | CornerTopRight
  - | CornerBottomRight
- data DeleteType
  - = DeleteChars
  - | DeleteWordEnds
  - | DeleteWords
  - | DeleteDisplayLines
  - | DeleteDisplayLineEnds
  - | DeleteParagraphEnds
  - | DeleteParagraphs
  - | DeleteWhitespace
- data DestDefaults
  - = DestDefaultMotion
  - | DestDefaultHighlight
  - | DestDefaultDrop
  - | DestDefaultAll
- data DragResult
  - = DragResultSuccess
  - | DragResultNoTarget
  - | DragResultUserCancelled
  - | DragResultTimeoutExpired
  - | DragResultGrabBroken
  - | DragResultError
- data DirectionType
  - = DirTabForward
  - | DirTabBackward
  - | DirUp
  - | DirDown
  - | DirLeft
  - | DirRight
- data Justification
  - = JustifyLeft
  - | JustifyRight
  - | JustifyCenter
  - | JustifyFill
- data MatchType
  - = MatchAll
  - | MatchAllTail
  - | MatchHead
  - | MatchTail
  - | MatchExact
  - | MatchLast
- data MenuDirectionType
  - = MenuDirParent
  - | MenuDirChild
  - | MenuDirNext
  - | MenuDirPrev
- data MetricType
  - = Pixels
  - | Inches
  - | Centimeters
- data MovementStep
  - = MovementLogicalPositions
  - | MovementVisualPositions
  - | MovementWords
  - | MovementDisplayLines
  - | MovementDisplayLineEnds
  - | MovementParagraphs
  - | MovementParagraphEnds
  - | MovementPages
  - | MovementBufferEnds
  - | MovementHorizontalPages
- data Orientation
  - = OrientationHorizontal
  - | OrientationVertical
- data Packing
  - = PackRepel
  - | PackGrow
  - | PackNatural
- toPacking :: Bool -> Bool -> Packing
- fromPacking :: Packing -> (Bool, Bool)
- data PackType
  - = PackStart
  - | PackEnd
- data PathPriorityType
  - = PathPrioLowest
  - | PathPrioGtk
  - | PathPrioApplication
  - | PathPrioTheme
  - | PathPrioRc
  - | PathPrioHighest
- data PathType
  - = PathWidget
  - | PathWidgetClass
  - | PathClass
- data PolicyType
  - = PolicyAlways
  - | PolicyAutomatic
  - | PolicyNever
- data PositionType
  - = PosLeft
  - | PosRight
  - | PosTop
  - | PosBottom
- data ProgressBarOrientation
  - = ProgressLeftToRight
  - | ProgressRightToLeft
  - | ProgressBottomToTop
  - | ProgressTopToBottom
- data ReliefStyle
  - = ReliefNormal
  - | ReliefHalf
  - | ReliefNone
- data ResizeMode
  - = ResizeParent
  - | ResizeQueue
  - | ResizeImmediate
- data ScrollType
  - = ScrollNone
  - | ScrollJump
  - | ScrollStepBackward
  - | ScrollStepForward
  - | ScrollPageBackward
  - | ScrollPageForward
  - | ScrollStepUp
  - | ScrollStepDown
  - | ScrollPageUp
  - | ScrollPageDown
  - | ScrollStepLeft
  - | ScrollStepRight
  - | ScrollPageLeft
  - | ScrollPageRight
  - | ScrollStart
  - | ScrollEnd
- data ScrollStep
  - = ScrollSteps
  - | ScrollPages
  - | ScrollEnds
  - | ScrollHorizontalSteps
  - | ScrollHorizontalPages
  - | ScrollHorizontalEnds
- data SelectionMode
  - = SelectionNone
  - | SelectionSingle
  - | SelectionBrowse
  - | SelectionMultiple
- data ShadowType
  - = ShadowNone
  - | ShadowIn
  - | ShadowOut
  - | ShadowEtchedIn
  - | ShadowEtchedOut
- data SortType
  - = SortAscending
  - | SortDescending
- data StateType
  - = StateNormal
  - | StateActive
  - | StatePrelight
  - | StateSelected
  - | StateInsensitive
- data SubmenuDirection
  - = DirectionLeft
  - | DirectionRight
- data SubmenuPlacement
  - = TopBottom
  - | LeftRight
- data SpinButtonUpdatePolicy
  - = UpdateAlways
  - | UpdateIfValid
- data SpinType
  - = SpinStepForward
  - | SpinStepBackward
  - | SpinPageForward
  - | SpinPageBackward
  - | SpinHome
  - | SpinEnd
  - | SpinUserDefined
- data TargetFlags
  - = TargetSameApp
  - | TargetSameWidget
  - | TargetOtherApp
  - | TargetOtherWidget
- data TextDirection
  - = TextDirNone
  - | TextDirLtr
  - | TextDirRtl
- data TextSearchFlags
  - = TextSearchVisibleOnly
  - | TextSearchTextOnly
- data TextWindowType
  - = TextWindowPrivate
  - | TextWindowWidget
  - | TextWindowText
  - | TextWindowLeft
  - | TextWindowRight
  - | TextWindowTop
  - | TextWindowBottom
- data ToolbarStyle
  - = ToolbarIcons
  - | ToolbarText
  - | ToolbarBoth
  - | ToolbarBothHoriz
- data TreeViewColumnSizing
  - = TreeViewColumnGrowOnly
  - | TreeViewColumnAutosize
  - | TreeViewColumnFixed
- data UpdateType
  - = UpdateContinuous
  - | UpdateDiscontinuous
  - | UpdateDelayed
- data Visibility
  - = VisibilityNone
  - | VisibilityPartial
  - | VisibilityFull
- data WindowPosition
  - = WinPosNone
  - | WinPosCenter
  - | WinPosMouse
  - | WinPosCenterAlways
  - | WinPosCenterOnParent
- data WindowType
  - = WindowToplevel
  - | WindowPopup
- data WrapMode
  - = WrapNone
  - | WrapChar
  - | WrapWord
  - | WrapWordChar
- data EntryIconPosition
  - = EntryIconPrimary
  - | EntryIconSecondary
- data AnchorType
  - = AnchorCenter
  - | AnchorNorth
  - | AnchorNorthWest
  - | AnchorNorthEast
  - | AnchorSouth
  - | AnchorSouthWest
  - | AnchorSouthEast
  - | AnchorWest
  - | AnchorEast
  - | AnchorN
  - | AnchorNw
  - | AnchorNe
  - | AnchorS
  - | AnchorSw
  - | AnchorSe
  - | AnchorW
  - | AnchorE
- data CapStyle
  - = CapNotLast
  - | CapButt
  - | CapRound
  - | CapProjecting
- data CrossingMode
  - = CrossingNormal
  - | CrossingGrab
  - | CrossingUngrab
  - | CrossingGtkGrab
  - | CrossingGtkUngrab
  - | CrossingStateChanged
- data Dither
  - = RgbDitherNone
  - | RgbDitherNormal
  - | RgbDitherMax
- data DragProtocol
  - = DragProtoMotif
  - | DragProtoXdnd
  - | DragProtoRootwin
  - | DragProtoNone
  - | DragProtoWin32Dropfiles
  - | DragProtoOle2
  - | DragProtoLocal
- data DragAction
  - = ActionDefault
  - | ActionCopy
  - | ActionMove
  - | ActionLink
  - | ActionPrivate
  - | ActionAsk
- data EventMask
  - = ExposureMask
  - | PointerMotionMask
  - | PointerMotionHintMask
  - | ButtonMotionMask
  - | Button1MotionMask
  - | Button2MotionMask
  - | Button3MotionMask
  - | ButtonPressMask
  - | ButtonReleaseMask
  - | KeyPressMask
  - | KeyReleaseMask
  - | EnterNotifyMask
  - | LeaveNotifyMask
  - | FocusChangeMask
  - | StructureMask
  - | PropertyChangeMask
  - | VisibilityNotifyMask
  - | ProximityInMask
  - | ProximityOutMask
  - | SubstructureMask
  - | ScrollMask
  - | AllEventsMask
- data Modifier
  - = Shift
  - | Lock
  - | Control
  - | Alt
  - | Alt2
  - | Alt3
  - | Alt4
  - | Alt5
  - | Button1
  - | Button2
  - | Button3
  - | Button4
  - | Button5
  - | Super
  - | Hyper
  - | Meta
  - | Release
  - | ModifierMask
- data ExtensionMode
  - = ExtensionEventsNone
  - | ExtensionEventsAll
  - | ExtensionEventsCursor
- data Fill
  - = Solid
  - | Tiled
  - | Stippled
  - | OpaqueStippled
- data Function
  - = Copy
  - | Invert
  - | Xor
  - | Clear
  - | And
  - | AndReverse
  - | AndInvert
  - | Noop
  - | Or
  - | Equiv
  - | OrReverse
  - | CopyInvert
  - | OrInvert
  - | Nand
  - | Nor
  - | Set
- data InputCondition
  - = InputRead
  - | InputWrite
  - | InputException
- data JoinStyle
  - = JoinMiter
  - | JoinRound
  - | JoinBevel
- data LineStyle
  - = LineSolid
  - | LineOnOffDash
  - | LineDoubleDash
- data NotifyType
  - = NotifyAncestor
  - | NotifyVirtual
  - | NotifyInferior
  - | NotifyNonlinear
  - | NotifyNonlinearVirtual
  - | NotifyUnknown
- data ScrollDirection
  - = ScrollUp
  - | ScrollDown
  - | ScrollLeft
  - | ScrollRight
- data SubwindowMode
  - = ClipByChildren
  - | IncludeInferiors
- data VisibilityState
  - = VisibilityUnobscured
  - | VisibilityPartialObscured
  - | VisibilityFullyObscured
- data WindowState
  - = WindowStateWithdrawn
  - | WindowStateIconified
  - | WindowStateMaximized
  - | WindowStateSticky
  - | WindowStateFullscreen
  - | WindowStateAbove
  - | WindowStateBelow
- data WindowEdge
  - = WindowEdgeNorthWest
  - | WindowEdgeNorth
  - | WindowEdgeNorthEast
  - | WindowEdgeWest
  - | WindowEdgeEast
  - | WindowEdgeSouthWest
  - | WindowEdgeSouth
  - | WindowEdgeSouthEast
- data WindowTypeHint
  - = WindowTypeHintNormal
  - | WindowTypeHintDialog
  - | WindowTypeHintMenu
  - | WindowTypeHintToolbar
  - | WindowTypeHintSplashscreen
  - | WindowTypeHintUtility
  - | WindowTypeHintDock
  - | WindowTypeHintDesktop
  - | WindowTypeHintDropdownMenu
  - | WindowTypeHintPopupMenu
  - | WindowTypeHintTooltip
  - | WindowTypeHintNotification
  - | WindowTypeHintCombo
  - | WindowTypeHintDnd
- data Gravity
  - = GravityNorthWest
  - | GravityNorth
  - | GravityNorthEast
  - | GravityWest
  - | GravityCenter
  - | GravityEast
  - | GravitySouthWest
  - | GravitySouth
  - | GravitySouthEast
  - | GravityStatic
- data GrabStatus
  - = GrabSuccess
  - | GrabAlreadyGrabbed
  - | GrabInvalidTime
  - | GrabNotViewable
  - | GrabFrozen
- data OwnerChange
  - = OwnerChangeNewOwner
  - | OwnerChangeDestroy
  - | OwnerChangeClose

# Documentation

data AccelFlags

State of an accelerator

Constructors

AccelVisible |
AccelLocked |
AccelMask |

Instances

Bounded AccelFlags |
Enum AccelFlags | Arrow directions for the arrow widget
Eq AccelFlags |
Show AccelFlags |
Flags AccelFlags |

data ArrowType

Constructors

ArrowUp |
ArrowDown |
ArrowLeft |
ArrowRight |
ArrowNone |

Instances

Enum ArrowType |
Eq ArrowType |
Show ArrowType |

data AttachOptions

Child widget attach options for table containers

Constructors

Expand |
Shrink |
Fill |

Instances

Bounded AttachOptions |
Enum AttachOptions | Mouse buttons.
Eq AttachOptions |
Show AttachOptions |
Flags AttachOptions |

data MouseButton

Constructors

LeftButton |
MiddleButton |
RightButton |
OtherButton Int |

Instances

Enum MouseButton |
Eq MouseButton |
Show MouseButton |

data ButtonBoxStyle

Dictate the style that a ButtonBox uses to align it contents

Constructors

ButtonboxDefaultStyle |
ButtonboxSpread |
ButtonboxEdge |
ButtonboxStart |
ButtonboxEnd |
ButtonboxCenter |

Instances

Enum ButtonBoxStyle |
Eq ButtonBoxStyle |
Show ButtonBoxStyle |

data CalendarDisplayOptions

Specify which items of a calendar should be displayed.

Constructors

CalendarShowHeading |
CalendarShowDayNames |
CalendarNoMonthChange |
CalendarShowWeekNumbers |
CalendarWeekStartMonday |
CalendarShowDetails |

Instances

Bounded CalendarDisplayOptions |
Enum CalendarDisplayOptions |
Eq CalendarDisplayOptions |
Show CalendarDisplayOptions |
Flags CalendarDisplayOptions |

data Click

Type of mouse click

Constructors

SingleClick |
DoubleClick |
TripleClick |
ReleaseClick |

Instances

Enum Click |
Eq Click |
Show Click |

data CornerType

Specifies in which corner a child widget should be placed

Constructors

CornerTopLeft |
CornerBottomLeft |
CornerTopRight |
CornerBottomRight |

Instances

Enum CornerType |
Eq CornerType |
Show CornerType |

data DeleteType

Editing option

Constructors

DeleteChars |
DeleteWordEnds |
DeleteWords |
DeleteDisplayLines |
DeleteDisplayLineEnds |
DeleteParagraphEnds |
DeleteParagraphs |
DeleteWhitespace |

Instances

Enum DeleteType |
Eq DeleteType |
Show DeleteType |

data DestDefaults

The `DestDefaults` enumeration specifies the various types of action that will be taken on behalf of the user for a drag destination site.

- `DestDefaultMotion`: If set for a widget, GTK+, during a drag over this widget will check if the drag matches this widget's list of possible targets and actions. GTK+ will then call `Graphics.UI.Gtk.Gdk.Drag.dragStatus` as appropriate.
- `DestDefaultHighlight`: If set for a widget, GTK+ will draw a highlight on this widget as long as a drag is over this widget and the widget drag format and action are acceptable.
- `DestDefaultDrop`: If set for a widget, when a drop occurs, GTK+ will will check if the drag matches this widget's list of possible targets and actions. If so, GTK+ will call `Graphics.UI.Gtk.Gdk.Drag.dragGetData` on behalf of the widget. Whether or not the drop is successful, GTK+ will call `Graphics.UI.Gtk.Gdk.Drag.dragFinish`. If the action was a move, then if the drag was successful, then `True` will be passed for the delete parameter to `Graphics.UI.Gtk.Gdk.Drag.dragFinish`
- `DestDefaultAll`: If set, specifies that all default actions should be taken.

Constructors

DestDefaultMotion |
DestDefaultHighlight |
DestDefaultDrop |
DestDefaultAll |

Instances

Bounded DestDefaults |

Enum DestDefaults

Gives an indication why a drag operation failed. The value can by obtained by connecting to the `dragFailed` signal.

- `DragResultSuccess`: The drag operation was successful
- `DragResultNoTarget`: No suitable drag target
- `DragResultUserCancelled`: The user cancelled the drag operation
- `DragResultTimeoutExpired`: The drag operation timed out
- `DragResultGrabBroken`: The pointer or keyboard grab used for the drag operation was broken
- `DragResultError`: The drag operation failed due to some unspecified error

Eq DestDefaults |
Show DestDefaults |
Flags DestDefaults |

data DragResult

Constructors

DragResultSuccess |
DragResultNoTarget |
DragResultUserCancelled |
DragResultTimeoutExpired |
DragResultGrabBroken |
DragResultError |

Instances

Bounded DragResult |
Enum DragResult |
Eq DragResult |
Show DragResult |

data DirectionType

Editing direction

Constructors

DirTabForward |
DirTabBackward |
DirUp |
DirDown |
DirLeft |
DirRight |

Instances

Enum DirectionType |
Eq DirectionType |
Show DirectionType |

data Justification

Justification for label and maybe other widgets (text?)

Constructors

JustifyLeft |
JustifyRight |
JustifyCenter |
JustifyFill |

Instances

Enum Justification |
Eq Justification |
Show Justification |

data MatchType

Some kind of string search options

Constructors

MatchAll |
MatchAllTail |
MatchHead |
MatchTail |
MatchExact |
MatchLast |

Instances

Enum MatchType |
Eq MatchType |
Show MatchType |

data MenuDirectionType

From where was a menu item entered?

Constructors

MenuDirParent |
MenuDirChild |
MenuDirNext |
MenuDirPrev |

Instances

Enum MenuDirectionType |
Eq MenuDirectionType |
Show MenuDirectionType |

data MetricType

Units of measure

Constructors

Pixels |
Inches |
Centimeters |

Instances

Enum MetricType |
Eq MetricType |
Show MetricType |

data MovementStep

Movement in text widget

Constructors

MovementLogicalPositions |
MovementVisualPositions |
MovementWords |
MovementDisplayLines |
MovementDisplayLineEnds |
MovementParagraphs |
MovementParagraphEnds |
MovementPages |
MovementBufferEnds |
MovementHorizontalPages |

Instances

Enum MovementStep |
Eq MovementStep |
Show MovementStep |

data Orientation

Orientation is good

Constructors

OrientationHorizontal |
OrientationVertical |

Instances

Enum Orientation |
Eq Orientation |
Show Orientation |

data Packing

Packing parameters of a widget

- The `Packing` parameter determines how the child behaves in the horizontal or vertical way in an `Graphics.UI.Gtk.Layout.HBox` or `Graphics.UI.Gtk.Layout.VBox`, respectively. `PackNatural` means the child is as big as it reqests. It will stay at the start of the end of a `Graphics.UI.Gtk.Layout.Box` if there is more space available. All children packed with `PackRepel` will be padded on both sides with additional space. `PackGrow` will increase the size of a widget so that it covers the available space. A menu bar, for instance, should always stay at the top of a window and should only occupy as little space as possible. Hence it should be packed at the start of a `Graphics.UI.Gtk.Layout.VBox` with the packing option `PackNatural`. The working area of a window (e.g. the text area in an editor) should expand when the window is resized. Here the packing option `PackGrow` is the right choice and it is irrelevant whether the main area is inserted at the start or the end of a box. Finally `PackRepel` is most useful in a window where no widget can make use of excess space. Examples include a dialog box without list boxes or text fields.

Constructors

PackRepel |
PackGrow |
PackNatural |

Instances

Enum Packing |
Eq Packing |
Show Packing |

toPacking :: Bool -> Bool -> Packing

fromPacking :: Packing -> (Bool, Bool)

data PackType

Packing of widgets at start or end in a box

Constructors

PackStart |
PackEnd |

Instances

Enum PackType |
Eq PackType |
Show PackType |

data PathPriorityType

Priorities

Constructors

PathPrioLowest |
PathPrioGtk |
PathPrioApplication |
PathPrioTheme |
PathPrioRc |
PathPrioHighest |

Instances

Enum PathPriorityType | Scrollbar policy types (for scrolled windows)
Eq PathPriorityType |
Show PathPriorityType |

data PathType

Widget identification path

Constructors

PathWidget |
PathWidgetClass |
PathClass |

Instances

Enum PathType |
Eq PathType |
Show PathType |

data PolicyType

Constructors

PolicyAlways |
PolicyAutomatic |
PolicyNever |

Instances

Enum PolicyType |
Eq PolicyType |
Show PolicyType |

data PositionType

Position a scale's value is drawn relative to the trough

Constructors

PosLeft |
PosRight |
PosTop |
PosBottom |

Instances

Enum PositionType |
Eq PositionType |
Show PositionType |

data ProgressBarOrientation

Is the ProgressBar horizontally or vertically directed?

Constructors

ProgressLeftToRight |
ProgressRightToLeft |
ProgressBottomToTop |
ProgressTopToBottom |

Instances

Enum ProgressBarOrientation |
Eq ProgressBarOrientation |
Show ProgressBarOrientation |

data ReliefStyle

I don't have a clue.

Constructors

ReliefNormal |
ReliefHalf |
ReliefNone |

Instances

Enum ReliefStyle |
Eq ReliefStyle |
Show ReliefStyle |

data ResizeMode

Resize mode, for containers

- `ResizeParent` Pass resize request to the parent
- `ResizeQueue` Queue resizes on this widget
- `ResizeImmediate` Perform the resizes now

Constructors

ResizeParent |
ResizeQueue |
ResizeImmediate |

Instances

Enum ResizeMode |
Eq ResizeMode |
Show ResizeMode |

data ScrollType

Scrolling type

Constructors

ScrollNone |
ScrollJump |
ScrollStepBackward |
ScrollStepForward |
ScrollPageBackward |
ScrollPageForward |
ScrollStepUp |
ScrollStepDown |
ScrollPageUp |
ScrollPageDown |
ScrollStepLeft |
ScrollStepRight |
ScrollPageLeft |
ScrollPageRight |
ScrollStart |
ScrollEnd |

Instances

Enum ScrollType |
Eq ScrollType |
Show ScrollType |

data ScrollStep

Scrolling step

Constructors

ScrollSteps |
ScrollPages |
ScrollEnds |
ScrollHorizontalSteps |
ScrollHorizontalPages |
ScrollHorizontalEnds |

Instances

Enum ScrollStep |
Eq ScrollStep |
Show ScrollStep |

data SelectionMode

Mode in which selections can be performed

- There is a deprecated entry SelectionExtended which should have the same value as SelectionMultiple. C2HS chokes on that construct.

Constructors

SelectionNone |
SelectionSingle |
SelectionBrowse |
SelectionMultiple |

Instances

Enum SelectionMode |
Eq SelectionMode |
Show SelectionMode |

data ShadowType

Shadow types

Constructors

ShadowNone |
ShadowIn |
ShadowOut |
ShadowEtchedIn |
ShadowEtchedOut |

Instances

Enum ShadowType |
Eq ShadowType |
Show ShadowType |

data SortType

Constructors

SortAscending |
SortDescending |

Instances

Enum SortType |
Eq SortType |
Show SortType |

data StateType

Widget states

Constructors

StateNormal |
StateActive |
StatePrelight |
StateSelected |
StateInsensitive |

Instances

Enum StateType |
Eq StateType |
Show StateType |

data SubmenuDirection

Submenu direction policies

Constructors

DirectionLeft |
DirectionRight |

Instances

Enum SubmenuDirection |
Eq SubmenuDirection |
Show SubmenuDirection |

data SubmenuPlacement

Submenu placement policies

Constructors

TopBottom |
LeftRight |

Instances

Enum SubmenuPlacement |
Eq SubmenuPlacement |
Show SubmenuPlacement |

data SpinButtonUpdatePolicy

Whether to clamp or ignore illegal values.

Constructors

UpdateAlways |
UpdateIfValid |

Instances

Enum SpinButtonUpdatePolicy |
Eq SpinButtonUpdatePolicy |
Show SpinButtonUpdatePolicy |

data SpinType

Spin a SpinButton with the following method.

Constructors

SpinStepForward |
SpinStepBackward |
SpinPageForward |
SpinPageBackward |
SpinHome |
SpinEnd |
SpinUserDefined |

Instances

Enum SpinType |
Eq SpinType |
Show SpinType |

data TargetFlags

The `TargetFlags` enumeration is used to specify constraints on an entry in a `Graphics.UI.Gtk.Gdk.Selection.TargetList`. These flags are only used for drag and drop.

- If the `TargetSameApp` flag is set, the target will only be selected for drags within a single application.
- If the `TargetSameWidget` flag is set, the target will only be selected for drags within a single widget.

Constructors

TargetSameApp |
TargetSameWidget |
TargetOtherApp |
TargetOtherWidget |

Instances

Bounded TargetFlags |
Enum TargetFlags | Is the text written from left to right or the exotic way?
Eq TargetFlags |
Show TargetFlags |
Flags TargetFlags |

data TextDirection

Constructors

TextDirNone |
TextDirLtr |
TextDirRtl |

Instances

Enum TextDirection |
Eq TextDirection |
Show TextDirection |

data TextSearchFlags

Specify the way the search function for `Graphics.UI.Gtk.Multiline.TextBuffer` works.

Constructors

TextSearchVisibleOnly |
TextSearchTextOnly |

Instances

Bounded TextSearchFlags |
Enum TextSearchFlags |
Eq TextSearchFlags |
Show TextSearchFlags |
Flags TextSearchFlags |

data TextWindowType

The window type for coordinate translation.

Constructors

TextWindowPrivate |
TextWindowWidget |
TextWindowText |
TextWindowLeft |
TextWindowRight |
TextWindowTop |
TextWindowBottom |

Instances

Enum TextWindowType |
Eq TextWindowType |
Show TextWindowType |

data ToolbarStyle

Where to place the toolbar?

Constructors

ToolbarIcons |
ToolbarText |
ToolbarBoth |
ToolbarBothHoriz |

Instances

Enum ToolbarStyle |
Eq ToolbarStyle |
Show ToolbarStyle |

data TreeViewColumnSizing

Wether columns of a tree or list widget can be resized.

Constructors

TreeViewColumnGrowOnly |
TreeViewColumnAutosize |
TreeViewColumnFixed |

Instances

Enum TreeViewColumnSizing |
Eq TreeViewColumnSizing |
Show TreeViewColumnSizing |

data UpdateType

Updating types for range widgets (determines when the `"connectToValueChanged"` signal is emitted by the widget)

Constructors

UpdateContinuous |
UpdateDiscontinuous |
UpdateDelayed |

Instances

Enum UpdateType |
Eq UpdateType |
Show UpdateType |

data Visibility

Visibility

Constructors

VisibilityNone |
VisibilityPartial |
VisibilityFull |

Instances

Enum Visibility |
Eq Visibility |
Show Visibility |

data WindowPosition

Window position types

Constructors

WinPosNone |
WinPosCenter |
WinPosMouse |
WinPosCenterAlways |
WinPosCenterOnParent |

Instances

Enum WindowPosition |
Eq WindowPosition |
Show WindowPosition |

data WindowType

Interaction of a window with window manager

Constructors

WindowToplevel |
WindowPopup |

Instances

Enum WindowType |
Eq WindowType |
Show WindowType |

data WrapMode

Determine how lines are wrapped in a `Graphics.UI.Gtk.Multiline.TextView`.

Constructors

WrapNone |
WrapChar |
WrapWord |
WrapWordChar |

Instances

Enum WrapMode |
Eq WrapMode |
Show WrapMode |

data EntryIconPosition

Specifies the side of the entry at which an icon is placed.

Constructors

EntryIconPrimary |
EntryIconSecondary |

Instances

Enum EntryIconPosition |
Eq EntryIconPosition |
Show EntryIconPosition |

data AnchorType

Constructors

AnchorCenter |
AnchorNorth |
AnchorNorthWest |
AnchorNorthEast |
AnchorSouth |
AnchorSouthWest |
AnchorSouthEast |
AnchorWest |
AnchorEast |
AnchorN |
AnchorNw |
AnchorNe |
AnchorS |
AnchorSw |
AnchorSe |
AnchorW |
AnchorE |

Instances

Enum AnchorType |
Eq AnchorType |
Show AnchorType |

data CapStyle

Specify the how the ends of a line is drawn.

Constructors

CapNotLast |
CapButt |
CapRound |
CapProjecting |

Instances

Enum CapStyle |
Eq CapStyle |
Show CapStyle |

data CrossingMode

How focus is crossing the widget.

Constructors

CrossingNormal |
CrossingGrab |
CrossingUngrab |
CrossingGtkGrab |
CrossingGtkUngrab |
CrossingStateChanged |

Instances

Enum CrossingMode |
Eq CrossingMode |
Show CrossingMode |

data Dither

Specify how to dither colors onto the screen.

Constructors

RgbDitherNone |
RgbDitherNormal |
RgbDitherMax |

Instances

Enum Dither |
Eq Dither |
Show Dither |

data DragProtocol

Used in `Graphics.UI.Gtk.Gdk.Drag.DragContext` to indicate the protocol according to which DND is done.

Constructors

DragProtoMotif |
DragProtoXdnd |
DragProtoRootwin |
DragProtoNone |
DragProtoWin32Dropfiles |
DragProtoOle2 |
DragProtoLocal |

Instances

Bounded DragProtocol |
Enum DragProtocol |
Eq DragProtocol |
Show DragProtocol |

data DragAction

Used in `Graphics.UI.Gtk.Genearl.Drag.DragContext` to indicate what the destination should do with the dropped data.

- `ActionDefault`: Initialisation value, should not be used.
- `ActionCopy`: Copy the data.
- `ActionMove`: Move the data, i.e. first copy it, then delete it from the source.
- `ActionLink`: Add a link to the data. Note that this is only useful if source and destination agree on what it means.
- `ActionPrivate`: Special action which tells the source that the destination will do something that the source doesn't understand.
- `ActionAsk`: Ask the user what to do with the data.

Constructors

ActionDefault |
ActionCopy |
ActionMove |
ActionLink |
ActionPrivate |
ActionAsk |

Instances

Bounded DragAction |
Enum DragAction |
Eq DragAction |
Show DragAction |
Flags DragAction |

data EventMask

Specify which events a widget will emit signals on.

Constructors

ExposureMask |
PointerMotionMask |
PointerMotionHintMask |
ButtonMotionMask |
Button1MotionMask |
Button2MotionMask |
Button3MotionMask |
ButtonPressMask |
ButtonReleaseMask |
KeyPressMask |
KeyReleaseMask |
EnterNotifyMask |
LeaveNotifyMask |
FocusChangeMask |
StructureMask |
PropertyChangeMask |
VisibilityNotifyMask |
ProximityInMask |
ProximityOutMask |
SubstructureMask |
ScrollMask |
AllEventsMask |

Instances

Bounded EventMask |
Enum EventMask |
Eq EventMask |
Show EventMask |
Flags EventMask |

data Modifier

Keyboard modifiers that are depressed when the user presses a key or a mouse button.

- This data type is used to build lists of modifers that were active during an event.
- The Apple key on Macintoshs is mapped to `Alt2` and the `Meta` key (if available).
- Since Gtk 2.10, there are also `Super`, `Hyper` and `Meta` modifiers which are simply generated from `Alt` .. `Compose` modifier keys, depending on the mapping used by the windowing system. Due to one key being mapped to e.g. `Alt2` and `Meta`, you shouldn't pattern match directly against a certain key but check whether a key is in the list using the `elem` function, say.

Constructors

Shift |
Lock |
Control |
Alt |
Alt2 |
Alt3 |
Alt4 |
Alt5 |
Button1 |
Button2 |
Button3 |
Button4 |
Button5 |
Super |
Hyper |
Meta |
Release |
ModifierMask |

Instances

Bounded Modifier |
Enum Modifier |
Eq Modifier |
Show Modifier |
Flags Modifier |

data ExtensionMode

specify which input extension a widget desires

Constructors

ExtensionEventsNone |
ExtensionEventsAll |
ExtensionEventsCursor |

Instances

Bounded ExtensionMode |
Enum ExtensionMode |
Eq ExtensionMode |
Show ExtensionMode |
Flags ExtensionMode |

data Fill

How objects are filled.

Constructors

Solid |
Tiled |
Stippled |
OpaqueStippled |

Instances

Enum Fill |
Eq Fill |
Show Fill |

data Function

Determine how bitmap operations are carried out.

Constructors

Copy |
Invert |
Xor |
Clear |
And |
AndReverse |
AndInvert |
Noop |
Or |
Equiv |
OrReverse |
CopyInvert |
OrInvert |
Nand |
Nor |
Set |

Instances

Enum Function |
Eq Function |
Show Function |

data InputCondition

Specify on what file condition a callback should be done.

Constructors

InputRead |
InputWrite |
InputException |

Instances

Bounded InputCondition |
Enum InputCondition | Determines how adjacent line ends are drawn.
Eq InputCondition |
Flags InputCondition |

data JoinStyle

Constructors

JoinMiter |
JoinRound |
JoinBevel |

Instances

Enum JoinStyle |
Eq JoinStyle |
Show JoinStyle |

data LineStyle

Determines if a line is solid or dashed.

Constructors

LineSolid |
LineOnOffDash |
LineDoubleDash |

Instances

Enum LineStyle |
Eq LineStyle |
Show LineStyle |

data NotifyType

Information on from what level of the widget hierarchy the mouse cursor came.

`NotifyAncestor`
  The window is entered from an ancestor or left towards an ancestor.
`NotifyVirtual`
  The pointer moves between an ancestor and an inferior of the window.
`NotifyInferior`
  The window is entered from an inferior or left towards an inferior.
`NotifyNonlinear`
  The window is entered from or left towards a window which is neither an ancestor nor an inferior.
`NotifyNonlinearVirtual`
  The pointer moves between two windows which are not ancestors of each other and the window is part of the ancestor chain between one of these windows and their least common ancestor.
`NotifyUnknown`
  The level change does not fit into any of the other categories or could not be determined.

Constructors

NotifyAncestor |
NotifyVirtual |
NotifyInferior |
NotifyNonlinear |
NotifyNonlinearVirtual |
NotifyUnknown |

Instances

Enum NotifyType | Determine if child widget may be overdrawn.
Eq NotifyType |
Show NotifyType |

data ScrollDirection

in which direction was scrolled?

Constructors

ScrollUp |
ScrollDown |
ScrollLeft |
ScrollRight |

Instances

Enum ScrollDirection |
Eq ScrollDirection |
Show ScrollDirection |

data SubwindowMode

Constructors

ClipByChildren |
IncludeInferiors |

Instances

Enum SubwindowMode | visibility of a window
Eq SubwindowMode |
Show SubwindowMode |

data VisibilityState

Constructors

VisibilityUnobscured |
VisibilityPartialObscured |
VisibilityFullyObscured |

Instances

Enum VisibilityState |
Eq VisibilityState |
Show VisibilityState |

data WindowState

The state a `DrawWindow` is in.

Constructors

WindowStateWithdrawn |
WindowStateIconified |
WindowStateMaximized |
WindowStateSticky |
WindowStateFullscreen |
WindowStateAbove |
WindowStateBelow |

Instances

Bounded WindowState |
Enum WindowState | These are hints for the window manager that indicate what type of function the window has. The window manager can use this when determining decoration and behaviour of the window. The hint must be set before mapping the window. See the extended window manager hints specification for more details about window types.
Eq WindowState |
Show WindowState |
Flags WindowState |

data WindowEdge

Determines a window edge or corner.

Constructors

WindowEdgeNorthWest |
WindowEdgeNorth |
WindowEdgeNorthEast |
WindowEdgeWest |
WindowEdgeEast |
WindowEdgeSouthWest |
WindowEdgeSouth |
WindowEdgeSouthEast |

Instances

Enum WindowEdge |
Eq WindowEdge |
Show WindowEdge |

data WindowTypeHint

Constructors

WindowTypeHintNormal |
WindowTypeHintDialog |
WindowTypeHintMenu |
WindowTypeHintToolbar |
WindowTypeHintSplashscreen |
WindowTypeHintUtility |
WindowTypeHintDock |
WindowTypeHintDesktop |
WindowTypeHintDropdownMenu |
WindowTypeHintPopupMenu |
WindowTypeHintTooltip |
WindowTypeHintNotification |
WindowTypeHintCombo |
WindowTypeHintDnd |

Instances

Enum WindowTypeHint |
Eq WindowTypeHint |
Show WindowTypeHint |

data Gravity

Defines the reference point of a window and the meaning of coordinates passed to `Graphics.UI.Gtk.Windows.Window.windowMove`. See `Graphics.UI.Gtk.Windows.Window.windowMove` and the implementation notes section of the extended window manager hints specification for more details.

Constructors

GravityNorthWest |
GravityNorth |
GravityNorthEast |
GravityWest |
GravityCenter |
GravityEast |
GravitySouthWest |
GravitySouth |
GravitySouthEast |
GravityStatic |

Instances

Enum Gravity

Returned by `pointerGrab` and `keyboardGrab` to indicate success or the reason for the failure of the grab attempt.

`GrabSuccess`
  the resource was successfully grabbed.
`GrabAlreadyGrabbed`
  the resource is actively grabbed by another client.
`GrabInvalidTime`
  the resource was grabbed more recently than the specified time.
`GrabNotViewable`
  the grab window or the confine_to window are not viewable.
`GrabFrozen`
  the resource is frozen by an active grab of another client.

Eq Gravity |
Show Gravity |

data GrabStatus

Constructors

GrabSuccess |
GrabAlreadyGrabbed |
GrabInvalidTime |
GrabNotViewable |
GrabFrozen |

Instances

Enum GrabStatus

Specifies why a selection ownership was changed.

`OwnerChangeNewOwner`
  some other application claimed the ownership
`OwnerChangeDestroy`
  the window was destroyed
`OwnerChangeClose`
  the client was closed

Eq GrabStatus |
Show GrabStatus |

data OwnerChange

Constructors

OwnerChangeNewOwner |
OwnerChangeDestroy |
OwnerChangeClose |

Instances

Enum OwnerChange |
Eq OwnerChange |
Show OwnerChange |